SliceParams Class Reference

`#include <SliceParams.h>`

Inheritance diagram for SliceParams:

## Public Member Functions

| SliceParams ()
| SliceParams (const CliParams &params)
const string & | getSplit () const
void | setSplit (const string &name)
bool | getUseIndependenceSplits () const
void | useIndependenceSplits (bool value)
bool | getUseBoundElimination () const
| Returns whether to use branch-and-bound to speed up Slice optimization computations by eliminating non-improving slices.
void | useBoundElimination (bool value)
bool | getUseBoundSimplification () const
| Returns whether to simplify slices by seeking to generate non-improving slices that are then eliminated.
void | useBoundSimplification (bool value)
Public Member Functions inherited from SliceLikeParams
| SliceLikeParams ()
bool | getUseSimplification () const
| Apply simplification to the state of the algorithm when possible.
void | useSimplification (bool value)
Public Member Functions inherited from CommonParams
| CommonParams ()
bool | getIdealIsMinimal () const
| Returns whether the input ideal is known to be minimally generated.
void | idealIsMinimal (bool value)
bool | getPrintActions () const
| Returns whether to print and time the large-scale actions that Frobby performs.
void | printActions (bool value)
const string & | getInputFormat () const
| Returns the format used for parsing input.
void | setInputFormat (const string &value)
const string & | getOutputFormat () const
| Returns the format in which output is produced.
void | setOutputFormat (const string &value)
bool | getProduceCanonicalOutput () const
| Returns whether to produce output in a canonical representation.
void | produceCanonicalOutput (bool value)
bool | getPrintDebug () const
| Returns whether to print information about what the algorithm is doing to standard error as it runs.
void | printDebug (bool value)
bool | getPrintStatistics () const
| Returns whether to print statistics on what the algorithm did to standard error after it has run.
void | printStatistics (bool value)

## Private Attributes

string | _split
bool | _useIndependence
bool | _useBoundElimination
bool | _useBoundSimplification

## Detailed Description

Definition at line 25 of file SliceParams.h.

## Constructor & Destructor Documentation

## SliceParams() [1/2]

SliceParams::SliceParams | ( |  | ) |

Definition at line 25 of file SliceParams.cpp.

## SliceParams() [2/2]

SliceParams::SliceParams | ( | const CliParams & | params | ) |

Definition at line 32 of file SliceParams.cpp.

## Member Function Documentation

## getSplit()

const string & SliceParams::getSplit | ( |  | ) | const

inline

Definition at line 30 of file SliceParams.h.

## getUseBoundElimination()

bool SliceParams::getUseBoundElimination | ( |  | ) | const

inline

Returns whether to use branch-and-bound to speed up Slice optimization computations by eliminating non-improving slices.

Definition at line 38 of file SliceParams.h.

## getUseBoundSimplification()

bool SliceParams::getUseBoundSimplification | ( |  | ) | const

inline

Returns whether to simplify slices by seeking to generate non-improving slices that are then eliminated.

This requires that elimination of non-improving slices is turned on.

Definition at line 44 of file SliceParams.h.

## getUseIndependenceSplits()

bool SliceParams::getUseIndependenceSplits | ( |  | ) | const

inline

Definition at line 33 of file SliceParams.h.

## setSplit()

void SliceParams::setSplit | ( | const string & | name | ) |

inline

Definition at line 31 of file SliceParams.h.

## useBoundElimination()

SliceParams & SliceParams::useBoundElimination | ( | bool | value | ) |

inline

Definition at line 39 of file SliceParams.h.

## useBoundSimplification()

SliceParams & SliceParams::useBoundSimplification | ( | bool | value | ) |

inline

Definition at line 45 of file SliceParams.h.

## useIndependenceSplits()

void SliceParams::useIndependenceSplits | ( | bool | value | ) |

inline

Definition at line 34 of file SliceParams.h.

## Member Data Documentation

## _split

string SliceParams::_split

private

Definition at line 48 of file SliceParams.h.

## _useBoundElimination

bool SliceParams::_useBoundElimination

private

Definition at line 50 of file SliceParams.h.

## _useBoundSimplification

bool SliceParams::_useBoundSimplification

private

Definition at line 51 of file SliceParams.h.

## _useIndependence

bool SliceParams::_useIndependence

private

Definition at line 49 of file SliceParams.h.

The documentation for this class was generated from the following files:

- src/SliceParams.h
- src/OptSliceParams.h
- src/SliceParams.cpp